=== modified file 'dhis-2/dhis-services/dhis-service-reporting/src/main/java/org/hisp/dhis/dashboard/impl/DefaultDashboardService.java'
--- dhis-2/dhis-services/dhis-service-reporting/src/main/java/org/hisp/dhis/dashboard/impl/DefaultDashboardService.java	2009-06-19 09:00:57 +0000
+++ dhis-2/dhis-services/dhis-service-reporting/src/main/java/org/hisp/dhis/dashboard/impl/DefaultDashboardService.java	2009-08-29 04:24:43 +0000
@@ -31,11 +31,13 @@
 import org.hisp.dhis.dashboard.DashboardContentStore;
 import org.hisp.dhis.dashboard.DashboardService;
 import org.hisp.dhis.user.User;
+import org.springframework.transaction.annotation.Transactional;
 
 /**
  * @author Lars Helge Overland
  * @version $Id$
  */
+@Transactional
 public class DefaultDashboardService
     implements DashboardService
 {

=== modified file 'dhis-2/dhis-web/dhis-web-dashboard-integration/src/main/webapp/dhis-web-dashboard-integration/map_view.vm'
--- dhis-2/dhis-web/dhis-web-dashboard-integration/src/main/webapp/dhis-web-dashboard-integration/map_view.vm	2009-05-29 14:06:39 +0000
+++ dhis-2/dhis-web/dhis-web-dashboard-integration/src/main/webapp/dhis-web-dashboard-integration/map_view.vm	2009-08-29 04:24:43 +0000
@@ -6,7 +6,7 @@
     #foreach ( $view in $mapViews )
     <tr>
         <td>
-            <a href="javascript:window.location.href='../dhis-web-mapping/geostat/index.html?view=$view.id'">$encoder.htmlEncode( $view.name )</a>
+            <a href="javascript:window.location.href='../mapping/geostat/index.html?view=$view.id'">$encoder.htmlEncode( $view.name )</a>
         </td>
         <td style="width:16px">
             <a href="javascript:window.location.href='removeMapView.action?id=$view.id'" title="$i18n.getString( 'remove' )">

=== modified file 'gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/GetPeriodsByPeriodTypeAction.java'
--- gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/GetPeriodsByPeriodTypeAction.java	2009-08-21 08:34:37 +0000
+++ gis/dhis-web-mapping/src/main/java/org/hisp/dhis/mapping/action/GetPeriodsByPeriodTypeAction.java	2009-08-29 04:24:43 +0000
@@ -56,7 +56,7 @@
     {
         this.periodService = periodService;
     }
-    
+
     private I18nFormat format;
 
     public void setFormat( I18nFormat format )

